com.h3c.util.pkt

## Class Arp

- java.lang.Object
- - com.h3c.util.pkt.Arp

- All Implemented Interfaces:
    Protocol

      public class Arp
      extends Object
      implements Protocol

  ARP data store (immutable) and associated `Arp.Builder` (mutable).

  Includes support for the following OpenFlow match fields:

  - ARP opcode
  - ARP source IPv4 address
  - ARP target IPv4 address
  - ARP source hardware address
  - ARP target hardware address

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Arp.Builder` Builder (mutable) used to create new protocol instances.
    `static class` | `Arp.OpCode` Operation code.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HardwareType` | `hwType()` Returns the hardware type.
    `ProtocolId` | `id()` Returns the protocol ID.
    `Arp.OpCode` | `opCode()` Returns the operation code.
    `IpAddress` | `senderIpAddr()` Returns the sender IP address.
    `MacAddress` | `senderMacAddr()` Returns the sender MAC address.
    `IpAddress` | `targetIpAddr()` Returns the target IP address.
    `MacAddress` | `targetMacAddr()` Returns the target MAC address.
    `String` | `toDebugString()` Returns the protocol debug string.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### id

          public ProtocolId id()

      Description copied from interface: `Protocol`
      Returns the protocol ID.
      Specified by:
        `id` in interface `Protocol`
      Returns:
        protocol ID

    - #### hwType

          public HardwareType hwType()

      Returns the hardware type.
      Returns:
        the hardware type

    - #### opCode

          public Arp.OpCode opCode()

      Returns the operation code.
      Returns:
        the operation code

    - #### senderMacAddr

          public MacAddress senderMacAddr()

      Returns the sender MAC address.
      Returns:
        the sender MAC address

    - #### senderIpAddr

          public IpAddress senderIpAddr()

      Returns the sender IP address.
      Returns:
        the sender IP address

    - #### targetMacAddr

          public MacAddress targetMacAddr()

      Returns the target MAC address.
      Returns:
        the target MAC address

    - #### targetIpAddr

          public IpAddress targetIpAddr()

      Returns the target IP address.
      Returns:
        the target IP address

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toDebugString

          public String toDebugString()

      Description copied from interface: `Protocol`
      Returns the protocol debug string.
      Specified by:
        `toDebugString` in interface `Protocol`
      Returns:
        the protocol debug string

Copyright © 2014. All Rights Reserved.